Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_RT_Current Class Reference

RTCORBA::Current interface iplementation. More...

`#include <RT_Current.h>`

Inheritance diagram for TAO_RT_Current:

[legend]
Collaboration diagram for TAO_RT_Current:

[legend]
List of all members.

## Public Methods
| TAO_RT_Current (TAO_ORB_Core *orb_core)
| Default constructor.
virtual RTCORBA::Priority | the_priority (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | the_priority (RTCORBA::Priority the_priority ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
## Protected Methods
virtual | ~TAO_RT_Current (void)
## Private Attributes
TAO_ORB_Core * | orb_core_
| ORB Core that owns us.

## Detailed Description

RTCORBA::Current interface iplementation.

Allows setting/getting the priority of the current thread.

## Constructor & Destructor Documentation

TAO_RT_Current::TAO_RT_Current | ( | TAO_ORB_Core * | orb_core | ) |

| Default constructor.

TAO_RT_Current::~TAO_RT_Current | ( | void |  | ) | `[protected, virtual]`

| Protected destructor to enforce proper memory management of this reference counted object.

## Member Function Documentation

void TAO_RT_Current::the_priority | ( | RTCORBA::Priority the_priority | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

| Implements RTCORBA::Current.

RTCORBA::Priority TAO_RT_Current::the_priority | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Implements RTCORBA::Current.

## Member Data Documentation

TAO_ORB_Core* TAO_RT_Current::orb_core_`[private]`

| ORB Core that owns us. Reimplemented from CORBA::Object.

The documentation for this class was generated from the following files:

- RT_Current.h
- RT_Current.cpp